# pandas.DatetimeIndex.indexer_at_time

`DatetimeIndex.``indexer_at_time`(time, asof=False)

  Return index locations of index values at particular time of day (e.g. 9:30AM).

  Parameters:

  time : datetime.time or string

  > datetime.time or string in appropriate format (“%H:%M”, “%H%M”, “%I:%M%p”, “%I%M%p”, “%H:%M:%S”, “%H%M%S”, “%I:%M:%S%p”, “%I%M%S%p”).

  Returns: | values_at_time : array of integers

  See also

  `indexer_between_time`, `DataFrame.at_time`

Scroll To Top